Subject: Re: [PATCH net-next v4 04/10] tsnep: Add adapter down state

From: Alexander H Duyck <[email-masked]>
Date: Tue, 10 Jan 2023 08:05:08 -0800

On Mon, 2023-01-09 at 20:15 +0100, Gerhard Engleder wrote:
> Add adapter state with flag for down state. This flag will be used by
> the XDP TX path to deny TX if adapter is down.
> 
> Signed-off-by: Gerhard Engleder <[email-masked]>

What value is this bit adding?

>From what I can tell you could probably just use netif_carrier_ok in
place of this and actually get better coverage in terms of identifying
state in which the Tx queue is able to function. So in your XDP_TX
patch you could do that if you really need it. 

As far as the use in your close function it is redundant since the
IFF_UP is only set if ndo_open completes, and ndo_stop is only called
if IFF_UP is set. So your down flag would be redundant with !IFF_UP in
that case.